%define umingfontdir    %{_datadir}/fonts/%{name}-uming
%define ukaifontdir     %{_datadir}/fonts/%{name}-ukai
%define fcdir           %{_sysconfdir}/fonts/conf.d
%define cidmapdir       %{_datadir}/ghostscript/conf.d
%define catalogue       %{_sysconfdir}/X11/fontpath.d

%define umingbuilddir   ../%{name}-uming-%{version}
%define ukaibuilddir    ../%{name}-ukai-%{version}

Name:        cjkunifonts
Version:     0.2.20080216.1
Release:     11.fc10
Summary:     Chinese TrueType Fonts -- Simplified and Traditional Chinese Ming and Kai Face
License:     Arphic
Group:       User Interface/X
URL:         http://www.freedesktop.org/wiki/Software/CJKUnifonts

Source1:    http://ftp.debian.org/debian/pool/main/t/ttf-arphic-uming/ttf-arphic-uming_%{version}.orig.tar.gz
Source2:    http://ftp.debian.org/debian/pool/main/t/ttf-arphic-ukai/ttf-arphic-ukai_%{version}.orig.tar.gz
Source3:    FAPIcidfmap.zh_TW
Source4:    FAPIcidfmap.zh_CN
Source5:    cidfmap.zh_TW
Source6:    cidfmap.zh_CN
Source7:    CIDFnmap.zh_TW
Source8:    CIDFnmap.zh_CN
Patch1:     cjkunifonts-0.2.20080216.1-2.patch
Patch2:     cjkuni-fonts-0.2.20080216.1-18.patch
Patch3:     cjkuni-fonts-0.2.20080216.1-19.patch


BuildRequires:    xorg-x11-font-utils, ttmkfdir
BuildArch:        noarch
BuildRoot:        %{_tmppath}/%{name}-%{version}-root

%description
Chinese Unicode TrueType fonts derived from the original fonts generously made
available by Arphic Technology under the "Arphic Public License" and extended
by the CJK Unifonts project.

%package uming
Summary:      Chinese Uming style face TrueType Font
License:      Arphic
Group:        User Interface/X
Conflicts:    fonts-chinese <= 3.03-9.fc8
Obsoletes:    fonts-chinese < 3.03-13
Obsoletes:    ttfonts-zh_CN <= 2.14-10, ttfonts-zh_TW <= 2.11-28

%description uming
Chinese Uming style face TrueType Font derived from the original fonts released
by Arphic Technology and extended by the CJK Unifonts project.

%package ukai
Summary:      Chinese Ukai style face TrueType font
License:      Arphic
Group:        User Interface/X
Conflicts:    fonts-chinese <= 3.03-9.fc8
Obsoletes:    fonts-chinese < 3.03-13
Obsoletes:    ttfonts-zh_CN <= 2.14-10, ttfonts-zh_TW <= 2.11-28

%description ukai
Chinese Ukai style face TrueType Font derived from the original fonts released
by Arphic Technology and extended by the CJK Unifonts project.

%prep
%setup -q -c -T -a1 -n %{name}-uming-%{version}
%patch1 -p1 -b .1-rhbz466667
%patch2 -p1 -b .1-rhbz475743
%patch3 -p1 -b .1-rhbz459680
%setup -q -c -T -a2 -n %{name}-ukai-%{version}

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT

# dirs
install -d $RPM_BUILD_ROOT%{catalogue}
install -d $RPM_BUILD_ROOT%{umingfontdir}
install -d $RPM_BUILD_ROOT%{ukaifontdir}

# ttfs
install -m 0644 %{umingbuilddir}/uming.ttc $RPM_BUILD_ROOT%{umingfontdir}/
install -m 0644 %{ukaibuilddir}/ukai.ttc $RPM_BUILD_ROOT%{ukaifontdir}/

# fonts.{scale,dir}
%{_bindir}/ttmkfdir -d $RPM_BUILD_ROOT%{umingfontdir} -o $RPM_BUILD_ROOT%{umingfontdir}/fonts.scale
mkfontdir $RPM_BUILD_ROOT%{umingfontdir}
%{_bindir}/ttmkfdir -d $RPM_BUILD_ROOT%{ukaifontdir} -o $RPM_BUILD_ROOT%{ukaifontdir}/fonts.scale
mkfontdir $RPM_BUILD_ROOT%{ukaifontdir}

# fontconfig config files
install -d $RPM_BUILD_ROOT%{fcdir}
for conf in `ls %{umingbuilddir}/*-ttf-arphic-uming*.conf`
do
    install -m 0644 $conf $RPM_BUILD_ROOT%{fcdir}/
done
for conf in `ls %{ukaibuilddir}/*-ttf-arphic-ukai*.conf`
do
    install -m 0644 $conf $RPM_BUILD_ROOT%{fcdir}/
done

# backward compat
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/zh_CN/TrueType
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/zh_TW/TrueType
%{__ln_s} ../../%{name}-uming/uming.ttc $RPM_BUILD_ROOT%{_datadir}/fonts/zh_CN/TrueType/zysong.ttf
%{__ln_s} ../../%{name}-uming/uming.ttc $RPM_BUILD_ROOT%{_datadir}/fonts/zh_TW/TrueType/bsmi00lp.ttf

# catalogue
%{__ln_s} %{umingfontdir} $RPM_BUILD_ROOT%{catalogue}/%{name}-uming
%{__ln_s} %{ukaifontdir} $RPM_BUILD_ROOT%{catalogue}/%{name}-ukai

# ghostscript
install -d $RPM_BUILD_ROOT%{cidmapdir}
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE8} $RPM_BUILD_ROOT%{cidmapdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post uming
if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache -f %{umingfontdir}
fi

%post ukai
if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache -f %{ukaifontdir}
fi

%postun uming
if [ "$1" = 0 ]; then
    if [ -x %{_bindir}/fc-cache ]; then
        %{_bindir}/fc-cache -f %{_datadir}/fonts
    fi
fi

%postun ukai
if [ "$1" = 0 ]; then
    if [ -x %{_bindir}/fc-cache ]; then
        %{_bindir}/fc-cache -f %{_datadir}/fonts
    fi
fi

%files uming
%defattr(-,root,root,-)
%doc %{umingbuilddir}/license
%doc %{umingbuilddir}/CONTRIBUTERS
%doc %{umingbuilddir}/Font_Comparison_ShanHeiSun_UMing.odt
%doc %{umingbuilddir}/Font_Comparison_ShanHeiSun_UMing.pdf
%doc %{umingbuilddir}/FONTLOG
%doc %{umingbuilddir}/INSTALL
%doc %{umingbuilddir}/KNOWN_ISSUES
%doc %{umingbuilddir}/NEWS
%doc %{umingbuilddir}/README
%doc %{umingbuilddir}/TODO
%dir %{umingfontdir}
%dir %{_datadir}/fonts/zh_CN
%dir %{_datadir}/fonts/zh_TW
%dir %{_datadir}/fonts/zh_CN/TrueType
%dir %{_datadir}/fonts/zh_TW/TrueType
%{umingfontdir}/*.ttc
%{fcdir}/*-ttf-arphic-uming*.conf
%{cidmapdir}/FAPIcidfmap.zh_TW
%{cidmapdir}/FAPIcidfmap.zh_CN
%{cidmapdir}/cidfmap.zh_TW
%{cidmapdir}/cidfmap.zh_CN
%{cidmapdir}/CIDFnmap.zh_TW
%{cidmapdir}/CIDFnmap.zh_CN
%verify(not md5 size mtime) %{umingfontdir}/fonts.dir
%verify(not md5 size mtime) %{umingfontdir}/fonts.scale
%verify(not md5 size mtime) %{_datadir}/fonts/zh_CN/TrueType/zysong.ttf
%verify(not md5 size mtime) %{_datadir}/fonts/zh_TW/TrueType/bsmi00lp.ttf
%{catalogue}/%{name}-uming

%files ukai
%defattr(-,root,root,-)
%doc %{ukaibuilddir}/license
%doc %{ukaibuilddir}/CONTRIBUTERS
%doc %{ukaibuilddir}/Font_Comparison_ZenKai_UKai.odt
%doc %{ukaibuilddir}/Font_Comparison_ZenKai_UKai.pdf
%doc %{ukaibuilddir}/FONTLOG
%doc %{ukaibuilddir}/INSTALL
%doc %{ukaibuilddir}/KNOWN_ISSUES
%doc %{ukaibuilddir}/NEWS
%doc %{ukaibuilddir}/README
%doc %{ukaibuilddir}/TODO
%dir %{ukaifontdir}
%{ukaifontdir}/*.ttc
%{fcdir}/*-ttf-arphic-ukai*.conf
%{cidmapdir}/FAPIcidfmap.zh_TW
%{cidmapdir}/FAPIcidfmap.zh_CN
%{cidmapdir}/cidfmap.zh_TW
%{cidmapdir}/cidfmap.zh_CN
%{cidmapdir}/CIDFnmap.zh_TW
%{cidmapdir}/CIDFnmap.zh_CN
%verify(not md5 size mtime) %{ukaifontdir}/fonts.dir
%verify(not md5 size mtime) %{ukaifontdir}/fonts.scale
%{catalogue}/%{name}-ukai

%changelog
* Wed Feb 25 2009 Caius Chance <cchance at redhat.com> - 0.2.20080216.1-11.fc10
- Resolves: rhbz#475743, rhbz#459680
- Fixed Japanese fonts over-priorized by uming fonts in Japanese locale.
- Disabled antialias when pixelsize is smaller than 17.

* Sun Dec  7 2008 Behdad Esfahbod <besfahbo@redhat.com> - 0.2.20080216.1-10.fc10
- Don't umask before fc-cache.
- Add -f to fc-cache.

* Mon Dec 01 2008 Caius Chance <cchance@redhat.com> - 0.2.20080216.1-9.2.fc10
- Rebuild for Fedora 10.

* Wed Oct 29 2008 Caius Chance <cchance@redhat.com> - 0.2.20080216.1-9.2.fc11
- Resolves: rhbz#466667 (Reverted to 0.2.20080216.1-4 without conf.avail.)

* Tue Oct 07 2008 Caius Chance <cchance@redhat.com> - 0.2.20080216.1-6.fc10
- Resolves: rhbz#465900 (Symlinks of fontconfig .conf files are inaccurated.)
- Macro'ed all '%{__ln_s}'.

* Wed Oct 01 2008 Caius Chance <cchance@redhat.com> - 0.2.20080216.1-5.fc10
- Resolves: rhbz#459680 (Unsymlinked 25-ttf-arphic-uming-bitmaps.conf.)

* Tue Sep 30 2008 Caius Chance <cchance@redhat.com> - 0.2.20080216.1-4.fc10
- Resolves: rhbz#459680 (All .conf files are in fonts.avail and soft linked to
  fonts.d.)

* Mon Sep 30 2008 Caius Chance <cchance@redhat.com> - 0.2.20080216.1-3.fc10
- Resolves: rhbz#459680 (repatched)

* Mon Sep 29 2008 Caius Chance <cchance@redhat.com> - 0.2.20080216.1-2.fc10
- Resolves: rhbz#459680 (qt/kde: font antialiasing was disabled by uming 
  fontconfig file.)

* Tue Aug 05 2008 Caius Chance <cchance@redhat.com> - 0.2.20080216.1-1.fc10
- Resolves: rhbz#457868 (Update latest release fro upstream.)

* Mon Jun 30 2008 Caius Chance <cchance@redhat.com> - 0.1.20060928-6.fc10
- Refined obsoletes of fonts-chinese to be more ver-rel specific.

* Mon Jun 30 2008 Caius Chance <cchance@redhat.com> - 0.1.20060928-5.fc10
- Resolved: rhbz#453078 (fonts-chinese is deprecated and should be removed.)

* Fri Aug 31 2007 Jens Petersen <petersen@redhat.com>
- remove superfluous ttfmkdir requires

* Fri Aug 30 2007 Caius Chance <cchance@redhat.com> - 0.1.20060928-4.fc8
- Resolved: rhbz#253813 (New package separated from fonts-chinese)
-- Added requires and buildrequires ttfmkdir.

* Wed Aug 30 2007 Caius Chance <cchance@redhat.com> - 0.1.20060928-3.fc8
- Resolved: rhbz#253813 (New package separated from fonts-chinese)
-- Fixed cidmap directory and package requirements.

* Wed Aug 29 2007 Caius Chance <cchance@redhat.com> - 0.1.20060928-2.fc8
- Resolved: rhbz#253813 (New package separated from fonts-chinese)
-- Moved uming and ukai into sub-packages.
-- Moved fc-cache from post section to install section.
-- Fixed ghostscript directory and backward compatibilities symlinks.
-- Refined .spec literal, license, versioning contents.

* Wed Aug 22 2007 Caius Chance <cchance@redhat.com> - 0.1.20060928-1.fc8
- Resolved: rhbz#253813 (New package separated from fonts-chinese)
-- Review preparation.
